/*
 * Class RT_DBG_LOCAL_RECORD [INTEGER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_664 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_664 [] = {0xFF01,237,663,176,0xFFFF};
static const EIF_TYPE_INDEX egt_2_664 [] = {0xFF01,663,176,0xFFFF};
static const EIF_TYPE_INDEX egt_3_664 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_664 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_664 [] = {0xFF01,663,176,0xFFFF};
static const EIF_TYPE_INDEX egt_6_664 [] = {0xFF01,663,176,0xFFFF};
static const EIF_TYPE_INDEX egt_7_664 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_664 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_664 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_664 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_664 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_664 [] = {663,176,0xFFFF};
static const EIF_TYPE_INDEX egt_13_664 [] = {0xFF01,663,176,0xFFFF};
static const EIF_TYPE_INDEX egt_14_664 [] = {0xFF01,261,0xFF01,236,0xFFFF};
static const EIF_TYPE_INDEX egt_15_664 [] = {261,0xFF01,236,0xFFFF};
static const EIF_TYPE_INDEX egt_16_664 [] = {0xFF01,137,0xFFFF};
static const EIF_TYPE_INDEX egt_17_664 [] = {0xFF01,132,0xFFFF};
static const EIF_TYPE_INDEX egt_18_664 [] = {0xFFF9,2,174,206,206,0xFFFF};
static const EIF_TYPE_INDEX egt_19_664 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_20_664 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_664 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_22_664 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_664 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_664 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_664[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_664), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_664), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_664), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_664), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_664), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_664), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_664), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_664), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_664), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_664), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_664), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_664), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_664), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_664), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1033, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1034, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2680, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2681, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2682, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2683, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2684, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2685, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2686, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2662, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2663, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2664, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2665, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2666, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2667, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2668, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2669, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2670, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2671, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2672, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2673, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2674, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2675, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2676, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2677, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2678, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2679, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_664), 1073, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11798, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_664), 11799, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 11802, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 11760, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 11761, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11762, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11763, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 11764, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 11765, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 11766, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11767, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11768, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 11769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11770, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11771, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 11772, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11773, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11774, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11775, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11776, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11780, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11781, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11782, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11783, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11784, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11785, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11786, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11787, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11788, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11789, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11791, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11792, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11793, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11794, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11795, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_664), 11796, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_664), 11797, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11911, 12},
	{EIF_NON_GENERIC(0x019D /*206*/), 11912, 16},
	{EIF_GENERIC(egt_18_664), 11913, 0},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 12010, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 12011, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12012, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12013, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_664), 12015, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11910, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12016, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12018, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12004, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 12005, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12006, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_664), 12007, 4},
	{EIF_NON_GENERIC(0x019D /*206*/), 12008, 20},
	{EIF_NON_GENERIC(0x0191 /*200*/), 12009, 8},
	{EIF_GENERIC(NULL), 12019, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_664), 12020, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_664), 12021, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_664), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_664), 12014, 0xFFFFFFFF},
};
void Init664(void)
{
	IDSC(desc_664, 0, 663);
	IDSC(desc_664 + 1, 1, 663);
	IDSC(desc_664 + 32, 330, 663);
	IDSC(desc_664 + 34, 82, 663);
	IDSC(desc_664 + 59, 309, 663);
	IDSC(desc_664 + 60, 334, 663);
	IDSC(desc_664 + 103, 150, 663);
	IDSC(desc_664 + 115, 247, 663);
	IDSC(desc_664 + 125, 336, 663);
}


#ifdef __cplusplus
}
#endif
